Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPathSegList.SVGPathSegItem

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGItem
          org.apache.batik.dom.svg.AbstractSVGPathSegList.SVGPathSegItem

All Implemented Interfaces:
  SVGItem, org.w3c.dom.svg.SVGPathSeg, org.w3c.dom.svg.SVGPathSegClosePath

Direct Known Subclasses:
  AbstractSVGNormPathSegList.SVGPathSegGenericItem, AbstractSVGPathSegList.SVGPathSegArcItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem, AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem, AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem, AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem

Enclosing class:
  AbstractSVGPathSegList

    protected class AbstractSVGPathSegList.SVGPathSegItem

extends AbstractSVGItem
implements org.w3c.dom.svg.SVGPathSeg, org.w3c.dom.svg.SVGPathSegClosePath

Internal representation of the item SVGPathSeg.

Field Summary
`protected float` | `angle`
`protected boolean` | `largeArcFlag`
`protected String` | `letter`
`protected float` | `r1`
`protected float` | `r2`
`protected boolean` | `sweepFlag`
`protected short` | `type`
`protected float` | `x`
`protected float` | `x1`
`protected float` | `x2`
`protected float` | `y`
`protected float` | `y1`
`protected float` | `y2`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`itemStringValue, parent`

Fields inherited from interface org.w3c.dom.svg.SVGPathSeg
`PATHSEG_ARC_ABS, PATHSEG_ARC_REL, PATHSEG_CLOSEPATH, PATHSEG_CURVETO_CUBIC_ABS, PATHSEG_CURVETO_CUBIC_REL, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS, PATHSEG_CURVETO_CUBIC_SMOOTH_REL, PATHSEG_CURVETO_QUADRATIC_ABS, PATHSEG_CURVETO_QUADRATIC_REL, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL, PATHSEG_LINETO_ABS, PATHSEG_LINETO_HORIZONTAL_ABS, PATHSEG_LINETO_HORIZONTAL_REL, PATHSEG_LINETO_REL, PATHSEG_LINETO_VERTICAL_ABS, PATHSEG_LINETO_VERTICAL_REL, PATHSEG_MOVETO_ABS, PATHSEG_MOVETO_REL, PATHSEG_UNKNOWN`

Constructor Summary
`protected` | `AbstractSVGPathSegList.SVGPathSegItem()`
`` | `AbstractSVGPathSegList.SVGPathSegItem(short type, String letter)`
`` | `AbstractSVGPathSegList.SVGPathSegItem(org.w3c.dom.svg.SVGPathSeg pathSeg)`

Method Summary
`short` | `getPathSegType()`
`String` | `getPathSegTypeAsLetter()`
`protected String` | `getStringValue()` Return the string representation of the item.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGItem
`getParent, getValueAsString, resetAttribute, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected short type

### letter

    protected String letter

### x

    protected float x

### y

    protected float y

### x1

    protected float x1

### y1

    protected float y1

### x2

    protected float x2

### y2

    protected float y2

### r1

    protected float r1

### r2

    protected float r2

### angle

    protected float angle

### largeArcFlag

    protected boolean largeArcFlag

### sweepFlag

    protected boolean sweepFlag

Constructor Detail

### AbstractSVGPathSegList.SVGPathSegItem

    protected AbstractSVGPathSegList.SVGPathSegItem()

### AbstractSVGPathSegList.SVGPathSegItem

    public AbstractSVGPathSegList.SVGPathSegItem(short type,
                                                 String letter)

### AbstractSVGPathSegList.SVGPathSegItem

    public AbstractSVGPathSegList.SVGPathSegItem(org.w3c.dom.svg.SVGPathSeg pathSeg)

Method Detail

### getStringValue

    protected String getStringValue()

  Description copied from class: `AbstractSVGItem`
  Return the string representation of the item.

  Specified by:
    `getStringValue` in class `AbstractSVGItem`

### getPathSegType

    public short getPathSegType()

  Specified by:
    `getPathSegType` in interface `org.w3c.dom.svg.SVGPathSeg`

### getPathSegTypeAsLetter

    public String getPathSegTypeAsLetter()

  Specified by:
    `getPathSegTypeAsLetter` in interface `org.w3c.dom.svg.SVGPathSeg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.